Get Parent Agent Prompt Variables
curl --request GET \
--url https://app.maadify.com/api/parent_agents/{parent_agent_id}/prompt_variables \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.maadify.com/api/parent_agents/{parent_agent_id}/prompt_variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.maadify.com/api/parent_agents/{parent_agent_id}/prompt_variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"prompt_variables": {
"inputs": [
"<string>"
],
"system": [
"<string>"
],
"tool_model": [
{
"connector_name": "",
"custom_connection_name": "",
"connector_id": 123,
"tool_name": "",
"tool_id": 123,
"custom_tool_name": "",
"input_schema": false,
"input_example": false,
"output_example": false,
"output_schema": false
}
],
"tool_config": [
{
"connector_name": "",
"custom_connection_name": "",
"connector_id": 123,
"tools": [
{
"tool_name": "",
"custom_tool_name": "",
"tool_id": 123,
"tool_properties": [
"<string>"
]
}
]
}
],
"trigger_inputs": [
"<string>"
],
"context_variables": [
{
"key": "",
"display_name": "",
"source_id": "",
"source_type": "",
"variables": [
{}
],
"example_json": {}
}
],
"example_variable_inputs": {
"input": {
"question": "What is the capital of France?",
"file_input": "My File Content!",
"trigger_example": {},
"files": [
{}
],
"history": [
{}
]
},
"tool_model": {},
"tool_config": {},
"trigger_inputs": [
"<string>"
]
}
}
},
"error_type": "<string>",
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Parent agents
Get Parent Agent Prompt Variables
List prompt variables exposed by tools assigned to a parent agent.
GET
/
api
/
parent_agents
/
{parent_agent_id}
/
prompt_variables
Get Parent Agent Prompt Variables
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
⌘I
